import request from '@/utils/request'

// 查询算法配置列表
export function listAlgConfig(query) {
  return request({
    url: '/system/algConfig/list',
    method: 'get',
    params: query
  })
}

// 查询算法配置详细
export function getAlgConfig(id) {
  return request({
    url: '/system/algConfig/' + id,
    method: 'get'
  })
}

// 新增算法配置
export function addAlgConfig(data) {
  return request({
    url: '/system/algConfig',
    method: 'post',
    data: data
  })
}

// 修改算法配置
export function updateAlgConfig(data) {
  return request({
    url: '/system/algConfig',
    method: 'put',
    data: data
  })
}

// 删除算法配置
export function delAlgConfig(id) {
  return request({
    url: '/system/algConfig/' + id,
    method: 'delete'
  })
}

// 根据算法类型查询算法配置
export function getAlgConfigByType(type) {
  return request({
    url: '/system/algConfig/getAlgConfigByType/' + type,
    method: 'get'
  })
}
